{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}


<div class="module-header">
    <i class="icon-header icon-emailsforwarders"></i>
    <h1>{$lang.check.title}</h1>
    <p>{$lang.check.description}</p>
</div>
<div class="module-body">
    <div class="section">

        {if $smarty.get.checkid}   
            <h4>{$lang.check.edit}</h4>
        {else}
            <h4>{$lang.check.add}</h4>
        {/if} 

        <div class="well">
            <form class="form-horizontal" action="{$link}&page=check&todo=save&checkid={$POST.checkID}" method="post">

                <div class="form-group">
                    <label class="col-sm-3 control-label">{$lang.check.fieldsname.type}</label>
                    <div class=" col-sm-6">
                        <div class="row">
                            <div class="col-sm-12">
                                <select name="type" class="form-control" id="check-type">
                                    {foreach from=$POST.availableChecks item=value}
                                        {if 'AUDIO' == $value}<option value="AUDIO" {if 'AUDIO' == $POST.type} selected="selected" {/if}>Audio Stream</option>{/if}
                                        <!-- {if 'CLUSTER' == $value}<option value="CLUSTER" {if 'CLUSTER' == $POST.type} selected="selected" {/if}>Cluster</option>{/if} -->
                                        {if 'DNS' == $value} <option value="DNS" {if 'DNS' == $POST.type} selected="selected" {/if}>DNS</option>{/if}
                                        {if 'FTP' == $value} <option value="FTP" {if 'FTP' == $POST.type} selected="selected" {/if}>FTP</option>{/if}
                                        {if 'HTTP' == $value}<option value="HTTP" {if 'HTTP' == $POST.type} selected="selected" {/if}>HTTP</option>{/if}
                                        {if 'HTTPADV' == $value}<option value="HTTPADV" {if 'HTTPADV' == $POST.type} selected="selected" {/if}>HTTP Advanced</option>{/if}
                                        {if 'HTTPCONTENT' == $value}<option value="HTTPCONTENT" {if 'HTTPCONTENT' == $POST.type} selected="selected" {/if}>HTTP Content</option>{/if}
                                        {if 'HTTPPARSE' == $value}<option value="HTTPPARSE" {if 'HTTPPARSE' == $POST.type} selected="selected" {/if}>HTTP Parse</option>{/if}
                                        {if 'IMAP4' == $value}<option value="IMAP4" {if 'IMAP4' == $POST.type} selected="selected" {/if}>IMAP4</option>{/if}
                                        {if 'MYSQL' == $value}<option value="MYSQL" {if 'MYSQL' == $POST.type} selected="selected" {/if}>MYSQL</option>{/if}
                                        {if 'NTP' == $value}<option value="NTP" {if 'NTP' == $POST.type} selected="selected" {/if}>NTP</option>{/if}
                                        {if 'PING' == $value}<option value="PING" {if 'PING' == $POST.type} selected="selected" {/if}>PING</option>{/if}
                                        {if 'POP3' == $value}<option value="POP3" {if 'POP3' == $POST.type} selected="selected" {/if}>POP3</option>{/if}
                                        {if 'PORT' == $value}<option value="PORT" {if 'PORT' == $POST.type} selected="selected" {/if}>PORT</option>{/if}
                                        {if 'PUSH' == $value}<option value="PUSH" {if 'PUSH' == $POST.type} selected="selected" {/if}>PUSH</option>{/if}
                                        {if 'RBL' == $value}<option value="RBL" {if 'RBL' == $POST.type} selected="selected" {/if}>RBL</option>{/if}
                                        {if 'RMONITOR' == $value}<option value="RMONITOR" {if 'RMONITOR' == $POST.type} selected="selected" {/if}>Resource Monitor</option>{/if}
                                        {if 'RDP' == $value}<option value="RDP" {if 'RDP' == $POST.type} selected="selected" {/if}>RDP</option>{/if}
                                        {if 'SIP' == $value}<option value="SIP" {if 'SIP' == $POST.type} selected="selected" {/if}>SIP</option>{/if}
                                        {if 'SNMP' == $value}<option value="SNMP" {if 'SNMP' == $POST.type} selected="selected" {/if}>SNMP</option>{/if}
                                        {if 'SMTP' == $value}<option value="SMTP" {if 'SMTP' == $POST.type} selected="selected" {/if}>SMTP</option>{/if}
                                        {if 'SSH' == $value}<option value="SSH" {if 'SSH' == $POST.type} selected="selected" {/if}>SSH</option>{/if}
                                        {if 'SSL' == $value}<option value="SSL" {if 'SSL' == $POST.type} selected="selected" {/if}>SSL</option>{/if}
                                        {if 'WEBSOCKET' == $value}<option value="WEBSOCKET" {if 'WEBSOCKET' == $POST.type} selected="selected" {/if}>WebSocket</option>{/if}
                                        {if 'WHOIS' == $value}<option value="WHOIS" {if 'WHOIS' == $POST.type} selected="selected" {/if}>Whois</option>{/if}

                                    {/foreach}
                                </select>
                                <p class="help-block">{$lang.check.fielddescr.type}</p>
                            </div>
                        </div>  
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label">{$lang.check.fieldsname.label}</label>
                    <div class="input col-sm-6">
                        <input type="text" name="label" value="{$POST.label}" class="form-control first">
                        <p class="help-block">{$lang.check.fielddescr.label}</p>
                    </div>
                </div>
                {if ($currentType eq 'RMONITOR') && ($smarty.get.checkid)}
                <div class="form-group">
                    <label class="col-sm-3 control-label">Check ID:</label>
                    <div class="input col-sm-6">
                        <input type="text" name="_id" value="{$smarty.get.checkid}" class="form-control first" DISABLED>
                    </div>
                </div>
                {/if}  
                <div class = "form-group">
                    <label class = "col-sm-3 control-label">{$lang.check.fieldsname.enable}</label>
                    <div class = "col-sm-9">
                        <input type="checkbox" name="enabled" value="true" {if $POST.enabled}{if $POST.enabled == 'true'}checked{/if}{else}checked{/if}>
                        <p class = "help-block">{$lang.check.fielddescr.enable}</p>
                    </div>
                </div>
                
                <div class = "form-group hidden">
                    <label class = "col-sm-3 control-label">{$lang.check.fieldsname.public}</label>
                    <div class = "col-sm-9">
                        <input type="checkbox" name="public" value="true" checked>
                    </div>
                </div>
                
                <div class="form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
                    
                    <label class="col-sm-3 control-label">{$lang.check.fieldsname.region}</label>
                    <div class=" col-sm-6">
                        <div class="row">
                            <div class="col-sm-12">
                                {assign var='runlocations' value=$POST.runlocations}
                            {if !$POST.runlocations}{assign var='runlocations' value=$POST.defaultRunlocations}{/if}
                            <select name="runlocations" class="form-control">
                                <option value="---" {if '---' == $runlocations} selected="selected" {/if}>{$lang.check.region.adefault}</option>
                                <option value="nam" {if 'nam' == $runlocations} selected="selected" {/if}>{$lang.check.region.namerica}</option>
                                <option value="eur" {if 'eur' == $runlocations} selected="selected" {/if}>{$lang.check.region.europe}</option>
                                <option value="eao" {if 'eao' == $runlocations} selected="selected" {/if}>{$lang.check.region.asia}</option>
                                <option value="lam" {if 'lam' == $runlocations} selected="selected" {/if}>{$lang.check.region.latin}</option>
                                <option value="wlw" {if 'wlw' == $runlocations} selected="selected" {/if}>{$lang.check.region.world}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.region}</p>
                        </div>
                    </div>  
                    
                </div>
               
            </div>
            <div class="form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.frequency}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            {assign var='interval' value=$POST.interval}
                        {if $currentType == 'RBL'}{assign var='interval' value=60}{/if}
                        <select name="interval" class="form-control">
                            {if $currentType != 'WHOIS'}
                                {if $POST.minimalCheckFrequency <= 1}<option value="1" {if '1' == $interval} selected="selected" {/if}>{$lang.check.frequency.1}</option>{/if}
                                {if $POST.minimalCheckFrequency <= 3}<option value="3" {if '3' == $interval} selected="selected" {/if}>{$lang.check.frequency.3}</option>{/if}
                                {if $POST.minimalCheckFrequency <= 5}<option value="5" {if '5' == $interval} selected="selected" {/if}>{$lang.check.frequency.5}</option>{/if}
                                {if $POST.minimalCheckFrequency <= 15}<option value="15" {if '15' == $interval} selected="selected" {/if}>{$lang.check.frequency.15}</option>{/if}
                                {if $POST.minimalCheckFrequency <= 30}<option value="30" {if '30' == $interval} selected="selected" {/if}>{$lang.check.frequency.30}</option>{/if}
                                {if $POST.minimalCheckFrequency <= 60}<option value="60" {if '60' == $interval} selected="selected" {/if}>{$lang.check.frequency.60}</option>{/if}
                            {/if}
                            {if $POST.minimalCheckFrequency <= 240}<option value="240" {if '240' == $interval} selected="selected" {/if}>{$lang.check.frequency.240}</option>{/if}
                            {if $POST.minimalCheckFrequency <= 360}<option value="360" {if '360' == $interval} selected="selected" {/if}>{$lang.check.frequency.360}</option>{/if}
                            {if $POST.minimalCheckFrequency <= 720}<option value="720" {if '720' == $interval} selected="selected" {/if}>{$lang.check.frequency.720}</option>{/if}
                            {if $POST.minimalCheckFrequency <= 1440} <option value="1440" {if '1440' == $interval} selected="selected" {/if}>{$lang.check.frequency.1440}</option>{/if}
                        </select>
                        <p class="help-block">{$lang.check.fielddescr.frequency}</p>
                    </div>
                </div>  
            </div>
        </div>
        {if $currentType == 'AUDIO'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.audiourl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.audiourl}</p>
                </div>
            </div>    
        {/if}
  
        {if $currentType == 'WHOIS'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.whoisdomain}</label>
                <div class="input col-sm-6">
                    <div class="row">
                        <div class=" col-sm-9">
                            <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                        </div>
                    </div>
                    <p class="help-block">{$lang.check.fielddescr.whoisdomain}</p>
                </div>
            </div>

            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.whoisserver}</label>
                 <div class="input col-sm-6">
                     <div class="row">
                         <div class=" col-sm-9">
                             <input type="text" name="param_whoisserver" value="{$POST.param_whoisserver}" class="form-control first">
                         </div>
                     </div>
                     <p class="help-block">{$lang.check.fielddescr.whoisserver}</p>
                 </div>
             </div>

            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.whoisresponse}</label>
                 <div class="input col-sm-6">
                     <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                     <p class="help-block">{$lang.check.fielddescr.whoisresponse}</p>
                 </div>
             </div>


            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapdays}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_warningdays" value="{$POST.param_warningdays}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.whoisdays}</p>
                </div>
            </div>

            


        {/if}


        {if ($currentType == 'PUSH') || ($currentType == 'RMONITOR') }
            <div class="form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.checktoken}</label>
                 <div class="input col-sm-6">
                     <div class="row">
                         <div class=" col-sm-12">
                             <input type="text" name="param_checktoken" value="{$POST.param_checktoken}" class="form-control first" DISABLED>
                         </div>
                     </div>
                     <p class="help-block">{$lang.check.fielddescr.checktoken}</p>
                 </div>
             </div>
             <div class = "form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
                 <label class = "col-sm-3 control-label">{$lang.check.fieldsname.resetchecktoken}</label>
                 <div class = "col-sm-9">
                     <input type="checkbox" name="param_checktoken" value="reset"  {if $POST.todo eq 'new'}checked{else}{/if}>
                     <p class = "help-block">{$lang.check.fielddescr.resetchecktoken}</p>
                 </div>
             </div>

             <div class="form-group" id="fields" {if $POST.param_postdata != ''} style="display:none;"{/if} {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
                  <label class="control-label col-sm-3">{$lang.check.fieldsname.fields}</label>
                  <div class="input col-sm-9">
                      <div class="form-group">
                          <div class="row" style="padding-top: 3px">
                              <div class="col-sm-4">
                                  <p class="help-block">{$lang.check.fieldsname.name}</p>
                              </div>
                              <div class="col-sm-2">
                                  <p class="help-block">{$lang.check.fieldsname.snmpmin}</p>
                              </div>
                              <div class="col-sm-2">
                                  <p class="help-block">{$lang.check.fieldsname.snmpmax}</p>
                              </div>
                          </div>


                          <div id="fields-fields">
                              {foreach from=$POST.param_fields2 item=field}
                                  <div class="form-group">
                                      <div class="input col-sm-4">
                                          <input type="text" class="form-control first fields-name" value="{$field.name}">
                                      </div>
                                      <div class="input col-sm-2">
                                          <input type="text" class="form-control first fields-min" value="{$field.min}">
                                      </div>
                                      <div class="input col-sm-2">
                                          <input type="text" class="form-control first fields-max" value="{$field.max}">
                                      </div>
                                      <div class="input col-sm-3 help-block">
                                          <a href="javascript:void(0)" class="fields-remove">{$lang.check.remove}</a>
                                      </div>
                                  </div>
                              {/foreach}
                          </div>

                          <div class=" col-sm-6">
                              <p class="help-block">
                                  <a href="javascript:void(0)" id="fields-add">{$lang.check.addanother}</a></br>
                          </div>
                      </div>
                  </div>
              </div>

        {/if}

        {if $currentType == 'DNS'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.dnsserver}</label>
                <div class="input col-sm-6">
                    <div class="row">
                        <div class=" col-sm-9">
                            <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                        </div>
                        <div class="input col-sm-3">
                            <input type="text" name="param_port" value="{if $POST.param_port}{$POST.param_port}{else}53{/if}" class="form-control first">
                        </div>
                    </div>
                    <p class="help-block">{$lang.check.fielddescr.dnsserver}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.dnsquery}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-3">
                            <select name="param_dnstype" class="form-control">
                                <option value="A" {if 'A' == $POST.param_dnstype} selected="selected" {/if}>A</option>
                                <option value="AAAA" {if 'AAAA' == $POST.param_dnstype} selected="selected" {/if}>AAAA</option>
                                <option value="ANY" {if 'ANY' == $POST.param_dnstype} selected="selected" {/if}>ANY</option>
                                <option value="CNAME" {if 'CNAME' == $POST.param_dnstype} selected="selected" {/if}>CNAME</option>
                                <option value="MX" {if 'MX' == $POST.param_dnstype} selected="selected" {/if}>MX</option>
                                <option value="NS" {if 'NS' == $POST.param_dnstype} selected="selected" {/if}>NS</option>
                                <option value="PTR" {if 'PTR' == $POST.param_dnstype} selected="selected" {/if}>PTR</option>
                                <option value="SOA" {if 'SOA' == $POST.param_dnstype} selected="selected" {/if}>SOA</option>
                                <option value="TXT" {if 'TXT' == $POST.param_dnstype} selected="selected" {/if}>TXT</option>
                            </select>
                        </div>
                        <div class=" col-sm-9">
                            <input type="text" name="param_dnstoresolve" value="{$POST.param_dnstoresolve}" class="form-control first">
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.dnsquery}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.dnsresponse}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.dnsresponse}</p>
                </div>
            </div>    
            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.transport}</label>
                 <div class=" col-sm-6">
                     <div class="row">
                         <div class="col-sm-12">
                             {assign var='transport' value=$POST.param_transport}
                             {if !$POST.param_transport}{assign var='transport' value=$POST.param_transport}{/if}
                                 <select name="param_transport" class="form-control">
                                     <option value="udp" {if 'udp' == $transport} selected="selected" {/if}>UDP</option>
                                     <option value="tcp" {if 'tcp' == $transport} selected="selected" {/if}>TCP</option>
                                 </select>
                                 <p class="help-block">{$lang.check.fielddescr.transport}</p>
                         </div>
                     </div>
                 </div>
             </div>

        {/if}
        {if $currentType == 'FTP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ftphost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ftphost}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ftpport}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ftpport}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ftpusername}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_username" value="{$POST.param_username}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ftpusername}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ftppassword}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_password" value="{$POST.param_password}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ftppassword}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ftpfile}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_dnstype" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.ftpfile.exist}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.ftpfile.notexist}</option>
                            </select>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label"></label>
                <div class="input col-sm-6">
                    <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ftpfile}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'HTTP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpurl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.httpurl}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpredirect}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_follow" class="form-control">
                                <option value="false" {if 'false' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httpredirect.notfollow}</option>
                                <option value="true" {if 'true' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httpredirect.follow}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.httpredirect}</p>
                        </div>
                    </div>  
                </div>
            </div>

            <div class="form-group">
                  <label class="col-sm-3 control-label">{$lang.check.fieldsname.ipv6}</label>
                  <div class=" col-sm-6">
                      <div class="row">
                          <div class="col-sm-12">
                              {assign var='ipv6' value=$POST.param_ipv6}
                              {if !$POST.param_ipv6}{assign var='ipv6' value=$POST.param_ipv6}{/if}
                                  <select name="param_ipv6" class="form-control">
                                      <option value="false" {if 'false' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.default}</option>
                                      <option value="true" {if 'true' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.force}</option>
                                  </select>
                                  <p class="help-block">{$lang.check.fielddescr.ipv6}</p>
                          </div>
                      </div>
                  </div>
              </div>


        {/if}
        {if $currentType == 'HTTPADV'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpaurl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.httpaurl}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpacode}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_statuscode" value="{$POST.param_statuscode}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.httpacode}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpamethod}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_method" class="form-control">
                                <option value="GET" {if 'GET' == $POST.param_method} selected="selected" {/if}>GET</option>
                                <option value="POST" {if 'POST' == $POST.param_method} selected="selected" {/if}>POST</option>
                                <option value="PUT" {if 'PUT' == $POST.param_method} selected="selected" {/if}>PUT</option>
                                <option value="HEAD" {if 'HEAD' == $POST.param_method} selected="selected" {/if}>HEAD</option>
                                <option value="TRACE" {if 'TRACE' == $POST.param_method} selected="selected" {/if}>TRACE</option>
                                <option value="CONNECT" {if 'CONNECT' == $POST.param_method} selected="selected" {/if}>CONNECT</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.httpamethod}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httparedirect}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_follow" class="form-control">
                                <option value="false" {if 'false' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httparedirect.notfollow}</option>
                                <option value="true" {if 'true' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httparedirect.follow}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.httparedirect}</p>
                        </div>
                    </div>  
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-sm-3">{$lang.check.fieldsname.httparequest}</label>
                <div class="input col-sm-9">
                    <div class="form-group">
                        <div class="row" style="padding-top: 3px">
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httparequest.header}</p>
                            </div>
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httparequest.value}</p>
                            </div> 
                        </div>
                        <div id="request-fields">
                            {foreach from=$POST.param_sendheaders2 key=header item=value}
                                <div class="form-group">
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first request-header" value="{$header}">
                                    </div>
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first request-value" value="{$value}">
                                    </div> 
                                    <div class="input col-sm-3 help-block">
                                        <a href="javascript:void(0)" class="request-remove">{$lang.check.remove}</a>
                                    </div> 
                                </div>
                            {/foreach}
                        </div>
                        <div class=" col-sm-6">
                            <p class="help-block">
                                <a href="javascript:void(0)" id="request-add">{$lang.check.addanother}</a>
                        </div>    
                    </div>
                </div>
            </div>       

            <div class="form-group">
                <label class="control-label col-sm-3">{$lang.check.fieldsname.httparesponse}</label>
                <div class="input col-sm-9">
                    <div class="form-group">
                        <div class="row" style="padding-top: 3px">
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httparesponse.header}</p>
                            </div>
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httparesponse.value}</p>
                            </div> 
                        </div>
                        <div id="response-fields">
                            {foreach from=$POST.param_receiveheaders2 key=header item=value}
                                <div class="form-group">
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first response-header" value="{$header}">
                                    </div>
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first response-value" value="{$value}">
                                    </div> 
                                    <div class="input col-sm-3 help-block">
                                        <a href="javascript:void(0)" class="response-remove">{$lang.check.remove}</a>
                                    </div> 
                                </div>
                            {/foreach}
                        </div>
                        <div class=" col-sm-6">
                            <p class="help-block">
                                <a href="javascript:void(0)" id="response-add">{$lang.check.addanother}</a>
                        </div>    
                    </div>
                </div>
            </div>       

            <div class="form-group" id="fields" {if $POST.param_postdata != ''} style="display:none;"{/if}>
                <label class="control-label col-sm-3">{$lang.check.fieldsname.httpafields}</label>
                <div class="input col-sm-9">
                    <div class="form-group">
                        <div class="row" style="padding-top: 3px">
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httpafields.field}</p>
                            </div>
                            <div class="col-sm-4">
                                <p class="help-block">{$lang.check.httpafields.value}</p>
                            </div> 
                        </div>
                        <div id="postfields-fields">
                            {foreach from=$POST.param_data2 key=field item=value}
                                <div class="form-group">
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first postfields-field" value="{$field}">
                                    </div>
                                    <div class="input col-sm-4">
                                        <input type="text" class="form-control first postfields-value" value="{$value}">
                                    </div> 
                                    <div class="input col-sm-3 help-block">
                                        <a href="javascript:void(0)" class="postfields-remove">{$lang.check.remove}</a>
                                    </div> 
                                </div>
                            {/foreach}
                        </div>
                        <div class=" col-sm-6">
                            <p class="help-block">
                                <a href="javascript:void(0)" id="postfields-add">{$lang.check.addanother}</a></br>
                                <a href="javascript:void(0)" id="datablock-show">{$lang.check.toblock}</a>
                        </div>    
                    </div>
                </div>
            </div>    

            <div class = "form-group" id="datablock" {if $POST.param_postdata == ''} style="display:none;"{/if}>
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpablock}</label>
                <div class="input col-sm-6">
                    <textarea {if $POST.param_postdata != ''}name="param_postdata"{/if}>{$POST.param_postdata}</textarea>
                    <p class="help-block">
                        <a href="javascript:void(0)" id="fields-show">{$lang.check.tofields}</a> </br>
                        {$lang.check.fielddescr.httpablock}
                    </p>
                </div>
            </div>    

            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpacontent}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-5">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.httpacontent.contains}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.httpacontent.notcontains}</option>
                            </select>
                        </div>
                        <div class=" col-sm-7">
                            <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.httpacontent}</p>
                </div>
            </div>

            <div class="form-group">
                   <label class="col-sm-3 control-label">{$lang.check.fieldsname.ipv6}</label>
                   <div class=" col-sm-6">
                       <div class="row">
                           <div class="col-sm-12">
                               {assign var='ipv6' value=$POST.param_ipv6}
                               {if !$POST.param_ipv6}{assign var='ipv6' value=$POST.param_ipv6}{/if}
                                   <select name="param_ipv6" class="form-control">
                                       <option value="false" {if 'false' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.default}</option>
                                       <option value="true" {if 'true' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.force}</option>
                                   </select>
                                   <p class="help-block">{$lang.check.fielddescr.ipv6}</p>
                           </div>
                       </div>
                   </div>
               </div>

        {/if}
        {if $currentType == 'HTTPCONTENT'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpcurl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.httpcurl}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpccontent}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-5">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.httpccontent.contains}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.httpccontent.notcontains}</option>
                            </select>
                        </div>
                        <div class=" col-sm-7">
                            <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.httpccontent}</p>
                </div>
            </div>  
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httpcredirect}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_follow" class="form-control">
                                <option value="false" {if 'false' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httpcredirect.notfollow}</option>
                                <option value="true" {if 'true' == $POST.param_follow} selected="selected" {/if}>{$lang.check.httpcredirect.follow}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.httpcredirect}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                   <label class="col-sm-3 control-label">{$lang.check.fieldsname.ipv6}</label>
                   <div class=" col-sm-6">
                       <div class="row">
                           <div class="col-sm-12">
                               {assign var='ipv6' value=$POST.param_ipv6}
                               {if !$POST.param_ipv6}{assign var='ipv6' value=$POST.param_ipv6}{/if}
                                   <select name="param_ipv6" class="form-control">
                                       <option value="false" {if 'false' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.default}</option>
                                       <option value="true" {if 'true' == $ipv6} selected="selected" {/if}>{$lang.check.ipv6.force}</option>
                                   </select>
                                   <p class="help-block">{$lang.check.fielddescr.ipv6}</p>
                           </div>
                       </div>
                   </div>
               </div>

        {/if}
        {if $currentType == 'HTTPPARSE'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.httppurl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.httppurl}</p>
                </div>
            </div>    

            <div class="form-group">
                <label class="control-label col-sm-3">{$lang.check.fieldsname.httppfields}</label>
                <div class="input col-sm-9">
                    <div class="form-group">
                        <div class="row" style="padding-top: 3px">
                            <div class="input col-sm-2">
                                <p class="help-block">{$lang.check.httppfields.name}</p>
                            </div>
                            <div class=" col-sm-3">
                                <p class="help-block">{$lang.check.httppfields.min}</p>
                            </div> 
                            <div class=" col-sm-3">
                                <p class="help-block">{$lang.check.httppfields.max}</p>
                            </div> 
                        </div>
                        <div id="fields-fields">
                            {foreach from=$POST.param_fields2 item=field}
                                <div class="form-group">
                                    <div class="input col-sm-2">
                                        <input type="text" class="form-control first fields-name" value="{$field.name}">
                                    </div>
                                    <div class="input col-sm-3">
                                        <input type="text" class="form-control first fields-min" value="{$field.min}">
                                    </div> 
                                    <div class="input col-sm-3">
                                        <input type="text" class="form-control first fields-max" value="{$field.max}">
                                    </div> 
                                    <div class="input col-sm-3 help-block">
                                        <a href="javascript:void(0)" class="fields-remove">{$lang.check.remove}</a>
                                    </div> 
                                </div>
                            {/foreach}
                        </div>
                        <div class=" col-sm-6">
                            <p class="help-block">
                                <a href="javascript:void(0)" id="fields-add">{$lang.check.addanother}</a>
                        </div>    
                    </div>
                </div>
            </div>


        {/if}
        {if $currentType == 'IMAP4'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imaphost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.imaphost}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapport}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.imapport}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapsecure}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_secure" class="form-control">
                                <option value="false" {if 'false' == $POST.param_secure} selected="selected" {/if}>{$lang.check.imapsecure.nossl}</option>
                                <option value="true" {if 'ssl' == $POST.param_secure} selected="selected" {/if}>{$lang.check.imapsecure.ssl}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.imapsecure}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapcertyficate}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_verify" class="form-control">
                                <option value="true" {if 'true' == $POST.param_verify} selected="selected" {/if}>{$lang.check.imapcertyficate.verify}</option>
                                <option value="false" {if 'false' == $POST.param_verify} selected="selected" {/if}>{$lang.check.imapcertyficate.ignore}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.imapcertyficate}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapdays}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_warningdays" value="{$POST.param_warningdays}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.imapdays}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imapusername}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_username" value="{$POST.param_username}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.imapusername}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.imappassword}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_password" value="{$POST.param_password}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.imappassword}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'MYSQL'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.mysqlhost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.mysqlhost}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'PING'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pinghost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pinghost}</p>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pingtype}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_ipv6" class="form-control">
                                <option value="false" {if 'false' == $POST.param_ipv6} selected="selected" {/if}>{$lang.check.ping.ipv4}</option>
                                <option value="true" {if 'true' == $POST.param_ipv6} selected="selected" {/if}>{$lang.check.ping.ipv6}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.pingtype}</p>
                        </div>
                    </div>
                </div>
            </div>    
        {/if}
        {if $currentType == 'POP3'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3host}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pop3host}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3port}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pop3port}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3secure}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_secure" class="form-control">
                                <option value="false" {if 'false' == $POST.param_secure} selected="selected" {/if}>{$lang.check.pop3secure.nossl}</option>
                                <option value="ssl" {if 'ssl' == $POST.param_secure} selected="selected" {/if}>{$lang.check.pop3secure.ssl}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.pop3secure}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3certyficate}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_verify" class="form-control">
                                <option value="true" {if 'true' == $POST.param_verify} selected="selected" {/if}>{$lang.check.pop3certyficate.verify}</option>
                                <option value="false" {if 'false' == $POST.param_verify} selected="selected" {/if}>{$lang.check.pop3certyficate.ignore}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.pop3certyficate}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3days}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_warningdays" value="{$POST.param_warningdays}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pop3days}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3username}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_username" value="{$POST.param_username}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pop3username}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.pop3password}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_password" value="{$POST.param_password}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.pop3password}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'PORT'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.porthost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.porthost}</p>
                </div>
            </div>    


            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.portport}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-4">
                            <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                        </div> 
                        <div class=" col-sm-8">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.portport.accept}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.portport.notaccept}</option>
                            </select>
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.portport}</p>
                </div>
            </div> 

        {/if}

        {if $currentType == 'NTP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.porthost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.porthost}</p>
                </div>
            </div>


            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.portport}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-4">
                            <input type="text" name="param_port" value="{if $POST.param_port}{$POST.param_port}{else}123{/if}" class="form-control first">
                        </div>
                        <div class=" col-sm-8">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.portport.accept}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.portport.notaccept}</option>
                            </select>
                        </div>
                    </div>
                    <p class="help-block">{$lang.check.fielddescr.ntpport}</p>
                </div>
            </div>

        {/if}

        {if $currentType == 'RBL'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.rblhost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.rblhost}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.rblignore}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_ignore" value="{$POST.param_ignore}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.rblignore}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'RDP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.rdphost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.rdphost}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'SIP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.siphost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.siphost}</p>
                </div>
            </div>    
        {/if}

        {if $currentType == 'CLUSTER'}
            <div class="form-group" id="fields" {if $POST.param_postdata != ''} style="display:none;"{/if}>
                 <label class="control-label col-sm-3">{$lang.check.fieldsname.clusterfields}</label>
                 <div class="input col-sm-9">
                     <div class="form-group">
                         <div id="check-fields">
                             {foreach from=$POST.param_data key=field item=value}
                                 <div class="form-group">
                                     <div class="input col-sm-8">
                                     <select class="postfields-field form-control">
                                         <option value=""></option>
                                         {foreach from=$checks item=check}
                                             <option value="{$check.id}" {if $field == $check.id} selected {/if} >{$check.label} - {$check.type}</option>
                                         {/foreach}
                                     </select>
                                         <input type="hidden" class="postfields-value" value="1">
                                     </div>
                                     <div class="input col-sm-3 help-block">
                                         <a href="javascript:void(0)" class="postfields-remove">{$lang.check.remove}</a>
                                     </div>
                                 </div>
                             {/foreach}
                         </div>
                         <div class=" col-sm-6">
                             <p class="help-block">
                                 <a href="javascript:void(0)" id="checks-add">{$lang.check.addanother}</a></br>
                         </div>
                     </div>
                 </div>
             </div>

        {/if}


        {if $currentType == 'SNMP'}
            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.snmphost}</label>
                 <div class="input col-sm-6">
                     <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                     <p class="help-block">{$lang.check.fielddescr.snmphost}</p>
                 </div>
             </div>

             <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.snmpport}</label>
                 <div class="input col-sm-6">
                     <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                         <p class="help-block">{$lang.check.fielddescr.snmpport}</p>
                 </div>
             </div>


            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.snmpv}</label>
                 <div class=" col-sm-6">
                     <div class="row">
                         <div class="col-sm-12">
                         <select name="param_snmpv" class="form-control">
                             <option value="1" {if $POST.param_snmpv == 1}selected{/if}>SNMPv1</option>
                             <option value="2" {if $POST.param_snmpv == 2}selected{/if}>SNMPv2c</option>
                         </select>
                         <p class="help-block">{$lang.check.fielddescr.snmpv}</p>
                         </div>
                     </div>
                </div>
            </div>

            <div class="form-group">
                 <label class="col-sm-3 control-label">{$lang.check.fieldsname.snmpcom}</label>
                 <div class=" col-sm-6">
                     <div class="row">
                         <div class="col-sm-6">
                             <input type="text" name="param_snmpcom" value="{$POST.param_snmpcom}" class="form-control first" placeholder="public">
                             <p class="help-block">{$lang.check.fielddescr.snmpcom}</p>
                         </div>
                     </div>
                </div>
            </div>

            <div class="form-group" id="fields" {if $POST.param_postdata != ''} style="display:none;"{/if}>
                 <label class="control-label col-sm-3">{$lang.check.fieldsname.snmpoidtitle}</label>
                 <div class="input col-sm-9">
                     <div class="form-group">
                         <div class="row" style="padding-top: 3px">
                             <div class="col-sm-4">
                                 <p class="help-block">{$lang.check.fieldsname.snmpoid}</p>
                             </div>
                             <div class="col-sm-2">
                                 <p class="help-block">{$lang.check.fieldsname.snmpmin}</p>
                             </div>
                             <div class="col-sm-2">
                                 <p class="help-block">{$lang.check.fieldsname.snmpmax}</p>
                             </div>
                         </div>


                         <div id="fields-fields">
                             {foreach from=$POST.param_fields2 item=field}
                                 <div class="form-group">
                                     <div class="input col-sm-4">
                                         <input type="text" class="form-control first fields-name" value="{$field.name}">
                                     </div>
                                     <div class="input col-sm-2">
                                         <input type="text" class="form-control first fields-min" value="{$field.min}">
                                     </div>
                                     <div class="input col-sm-2">
                                         <input type="text" class="form-control first fields-max" value="{$field.max}">
                                     </div>
                                     <div class="input col-sm-3 help-block">
                                         <a href="javascript:void(0)" class="fields-remove">{$lang.check.remove}</a>
                                     </div>
                                 </div>
                             {/foreach}
                         </div>

                         <div class=" col-sm-6">
                             <p class="help-block">
                                 <a href="javascript:void(0)" id="fields-add">{$lang.check.addanother}</a></br>
                         </div>
                     </div>
                 </div>
             </div>

            

        {/if}

        {if $currentType == 'SMTP'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtphost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtphost}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpport}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtpport}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpsecure}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_secure" class="form-control">
                                <option value="false" {if 'false' == $POST.param_secure} selected="selected" {/if}>{$lang.check.smtpsecure.nossl}</option>
                                <option value="ssl" {if 'ssl' == $POST.param_secure} selected="selected" {/if}>{$lang.check.smtpsecure.ssl}</option>
                                <option value="starttls" {if 'starttls' == $POST.param_secure} selected="selected" {/if}>{$lang.check.smtpsecure.starssl}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.smtpsecure}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpcertyficate}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_verify" class="form-control">
                                <option value="true" {if 'true' == $POST.param_verify} selected="selected" {/if}>{$lang.check.smtpcertyficate.verify}</option>
                                <option value="false" {if 'false' == $POST.param_verify} selected="selected" {/if}>{$lang.check.smtpcertyficate.ignore}</option>
                            </select>
                            <p class="help-block">{$lang.check.fielddescr.smtpcertyficate}</p>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpdays}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_warningdays" value="{$POST.param_warningdays}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtpdays}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpemail}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class="col-sm-12">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.smtpemail.accept}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.smtpemail.notaccept}</option>
                            </select>
                        </div>
                    </div>  
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label"></label>
                <div class="input col-sm-6">
                    <input type="text" name="param_email" value="{$POST.param_email}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtpemail}</p>
                </div>
            </div>               
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtpusername}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_username" value="{$POST.param_username}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtpusername}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.smtppassword}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_password" value="{$POST.param_password}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.smtppassword}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'SSH'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sshhost}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.sshhost}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sshport}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_port" value="{$POST.param_port}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.sshport}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sshusername}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_username" value="{$POST.param_username}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.sshusername}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sshpassword}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_password" value="{$POST.param_password}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.sshpassword}</p>
                </div>
            </div>     
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sshcontent}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-5">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.sshcontent.contains}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.sshcontent.notcontains}</option>
                            </select>
                        </div>
                        <div class=" col-sm-7">
                            <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.sshcontent}</p>
                </div>
            </div> 
        {/if}
        {if $currentType == 'SSL'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.sslurl}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.sslurl}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.ssldays}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_warningdays" value="{$POST.param_warningdays}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.ssldays}</p>
                </div>
            </div>    
        {/if}
        {if $currentType == 'WEBSOCKET'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.weburi}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_target" value="{$POST.param_target}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.weburi}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.websend}</label>
                <div class="input col-sm-6">
                    <input type="text" name="param_data" value="{$POST.param_data}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.websend}</p>
                </div>
            </div>    
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.webcontent}</label>
                <div class=" col-sm-6">
                    <div class="row">
                        <div class=" col-sm-5">
                            <select name="param_invert" class="form-control">
                                <option value="false" {if 'false' == $POST.param_invert} selected="selected" {/if}>{$lang.check.webcontent.contains}</option>
                                <option value="true" {if 'true' == $POST.param_invert} selected="selected" {/if}>{$lang.check.webcontent.notcontains}</option>
                            </select>
                        </div>
                        <div class=" col-sm-7">
                            <input type="text" name="param_contentstring" value="{$POST.param_contentstring}" class="form-control first">
                        </div>
                    </div>  
                    <p class="help-block">{$lang.check.fielddescr.webcontent}</p>
                </div>
            </div> 
        {/if}
        {if $currentType == 'CLUSTER'}
            <div class="form-group">
                <label class="col-sm-3 control-label">{$lang.check.fieldsname.threshold}</label>
                <div class="input col-sm-6">
                    <input type="text" id="param_threshold" name="param_threshold" value="{if $POST.param_threshold}{$POST.param_threshold}{else}5{/if}" class="form-control first">
                    <p class="help-block">{$lang.check.fielddescr.threshold}</p>
                </div>
            </div>

        {else}
        <div class="form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
            <label class="col-sm-3 control-label">{$lang.check.fieldsname.timeout}</label>
            <div class="input col-sm-6">
                <input type="text" id="param_threshold" name="param_threshold" value="{if $POST.param_threshold}{$POST.param_threshold}{else}5{/if}" class="form-control first">
                <p class="help-block">{$lang.check.fielddescr.timeout}</p>
            </div>
        </div>
        {/if}
        <div class="form-group" {if ($currentType eq 'RMONITOR') && ($smarty.get.todo != 'edit')}style="display:none;"{/if}>
            <label class="col-sm-3 control-label">{$lang.check.fieldsname.sensitivity}</label>
            <div class=" col-sm-6">
                <div class="row">
                    <div class="col-sm-12">
                        <select name="param_sens" class="form-control">
                            <option value="0" {if '0' == $POST.param_sens} selected="selected" {/if}>{$lang.check.sensitivity.veryhigh}</option>
                            <option value="2" {if '2' == $POST.param_sens} selected="selected" {elseif !$POST.post.param_sens} selected="selected" {/if}>{$lang.check.sensitivity.high}</option>
                            <option value="5" {if '5' == $POST.param_sens} selected="selected" {/if}>{$lang.check.sensitivity.medium}</option>
                            <option value="7" {if '7' == $POST.param_sens} selected="selected" {/if}>{$lang.check.sensitivity.low}</option>
                            <option value="10" {if '10' == $POST.param_sens} selected="selected" {/if}>{$lang.check.sensitivity.verylow}</option>
                        </select>
                        <p class="help-block">{$lang.check.fielddescr.sensitivity}</p>
                    </div>
                </div>  
            </div>
        </div>
        <hr>
        <h4 style="margin-left:64px">{$lang.check.fieldsname.notifications}</h4>
        <div class="form-group">
             <label class="col-sm-3 control-label">{$lang.check.fieldsname.dependency}</label>
             <div class=" col-sm-6">
                 <div class="row">
                     <div class="col-sm-12">
                         <select name="param_dep" class="form-control">
                             <option value=''>None</option>
                             {foreach from=$checks item=check}
                                 <option value="{$check.id}" {if $POST.dep == $check.id} selected {/if} >{$check.label} - {$check.type}</option>
                             {/foreach}
                         </select>
                         <p class="help-block">{$lang.check.fielddescr.dependency}</p>
                     </div>
                 </div>
             </div>
         </div>


        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-9">
                <div id="notyfication-fields">
                    <table class="notification-table">
                    <tbody>
                        <tr><th class="table-notification-notify">{$lang.check.notify}</th><th class="theader table-notification-delay">{$lang.check.ddelay}</th><th class="theader table-notification-schedule">{$lang.check.schedule}</th></tr>
                    {foreach from=$POST.notificationMembers item=member}
                        <tr>
                            <td class="table-notification-notify"><p class="help-block">{if $member.text == ''}({$check.unnamed}){else}{$member.text}{/if}</p></td>
                                <input class="notyfication-id" type="hidden" value="{$member.id}">
                                <input class="notyfication-name" type="hidden" value="{$member.text}">
                            
                            <td class="table-notification-delay">
                                <div class="input col-sm-12">
                                    <select class="notyfication-delay form-control">
                                    <option value="0" {if '0' == $member.time->delay} selected="selected" {/if}>{$lang.check.delay.immediate}</option>
                                    <option value="1" {if '1' == $member.time->delay} selected="selected" {/if}>1 {$lang.minute}</option>
                                    <option value="2" {if '2' == $member.time->delay} selected="selected" {/if}>2 {$lang.minutes}</option>
                                    <option value="3" {if '3' == $member.time->delay} selected="selected" {/if}>3 {$lang.minutes}</option>
                                    <option value="5" {if '5' == $member.time->delay} selected="selected" {/if}>5 {$lang.minutes}</option>
                                    <option value="8" {if '8' == $member.time->delay} selected="selected" {/if}>8 {$lang.minutes}</option>
                                    <option value="10" {if '10' == $member.time->delay} selected="selected" {/if}>10 {$lang.minutes}</option>
                                    <option value="15" {if '15' == $member.time->delay} selected="selected" {/if}>15 {$lang.minutes}</option>
                                    <option value="20" {if '20' == $member.time->delay} selected="selected" {/if}>20 {$lang.minutes}</option>
                                    <option value="30" {if '30' == $member.time->delay} selected="selected" {/if}>30 {$lang.minutes}</option>
                                    <option value="45" {if '45' == $member.time->delay} selected="selected" {/if}>45 {$lang.minutes}</option>
                                    <option value="60" {if '60' == $member.time->delay} selected="selected" {/if}>60 {$lang.minutes}</option>
                                </select>   
                                </div>
                            </td>
                            <td class="table-notification-schedule">
                                 <div class="col-sm-12">
                                <select class="notyfication-time form-control">
                                    <option value="All" {if 'All' == $member.time->schedule} selected="selected" {/if}>{$lang.check.notifications.all}</option>
                                    <option value="Weekends" {if 'Weekends' == $member.time->schedule} selected="selected" {/if}>{$lang.check.notifications.weekends}</option>
                                    <option value="Weekdays" {if 'Weekdays' == $member.time->schedule} selected="selected" {/if}>{$lang.check.notifications.weekdays}</option>
                                    <option value="Days" {if 'Days' == $member.time->schedule} selected="selected" {/if}>{$lang.check.notifications.days}</option>
                                    <option value="Nights" {if 'Nights' == $member.time->schedule} selected="selected" {/if}>{$lang.check.notifications.nights}</option>
                                </select>
                                </div>
                            </td>

                            <td>
                                <a href="javascript:void(0)" class="notyfication-remove">{$lang.check.remove}</a>
                            </td> 
                        </tr>
                    {/foreach}
                    </tbody>
                    </table>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-2"></div>
                <div class="col-sm-6">
                    <select name="scheduleName" class="form-control" id="notyfication-list">
                        <option value="">{$lang.check.notifications.option}</option>
                        {foreach from=$POST.contactList key=val item=member}
                            <option value="{$val}">{$member.name} - {$member.type} - {$member.address}</option>
                        {/foreach} 
                        {foreach from=$POST.groupList key=val item=member}
                            <option value="{$member.id}">Group: {if $member.name == ''}({$check.unnamed}){else}{$member.name}{/if}</option>
                        {/foreach} 
                    </select>
                </div>
            </div>
            {foreach from=$plugins item=plugin}
                {$plugin.checks.add.html}
            {/foreach}

            <div class="form-group">
                <div class="col-sm-3">
                </div>
                <div class="col-sm-9">
                    {if $smarty.get.checkid}   
                        <button type="submit" id="checksavebtn" class="btn btn-success">{$lang.check.save}</button>
                    {else}
                        <button type="submit" id="checksavebtn" class="btn btn-success ">{$lang.check.add}</button>
                    {/if} 
                </div>
            </div>
        </div>
    </form>


    <div style="display: none" id="fields-empty">
        <div class="form-group">
            <div class="input col-sm-4">
                <input type="text" class="form-control first fields-name">
            </div>
            <div class="input col-sm-2">
                <input type="text" class="form-control first fields-min">
            </div> 
            <div class="input col-sm-2">
                <input type="text" class="form-control first fields-max">
            </div> 
            <div class="input col-sm-3 help-block">
                <a href="javascript:void(0)" class="fields-remove">{$lang.check.remove}</a>
            </div> 
        </div>
    </div>

    <div style="display: none" id="request-empty">
        <div class="form-group">
            <div class="input col-sm-4">
                <input type="text" class="form-control first request-header">
            </div>
            <div class="input col-sm-4">
                <input type="text" class="form-control first request-value">
            </div> 
            <div class="input col-sm-3 help-block">
                <a href="javascript:void(0)" class="request-remove">{$lang.check.remove}</a>
            </div> 
        </div>
    </div>

    <div style="display: none" id="response-empty">
        <div class="form-group">
            <div class="input col-sm-4">
                <input type="text" class="form-control first response-header">
            </div>
            <div class="input col-sm-4">
                <input type="text" class="form-control first response-value">
            </div> 
            <div class="input col-sm-3 help-block">
                <a href="javascript:void(0)" class="response-remove">{$lang.check.remove}</a>
            </div> 
        </div>
    </div>

    <div style="display: none" id="postfields-empty">
        <div class="form-group">
            <div class="input col-sm-4">
                <input type="text" class="form-control first postfields-field">
            </div>
            <div class="input col-sm-4">
                <input type="text" class="form-control first postfields-value">
            </div> 
            <div class="input col-sm-3 help-block">
                <a href="javascript:void(0)" class="postfields-remove">{$lang.check.remove}</a>
            </div> 
        </div>
    </div>

    <div style="display: none" id="checks-empty">
        <div class="form-group">
            <div class="input col-sm-8">
                <select class="postfields-field form-control">
                    <option value=''>None</option>
                    {foreach from=$checks item=check}
                        <option value="{$check.id}" {if $POST.dep == $check.id} selected {/if} >{$check.label} - {$check.type}</option>
                    {/foreach}
                </select>
            </div>
            <input type="hidden" class="postfields-value" value="1">
            <div class="input col-sm-2 help-block">
                <a href="javascript:void(0)" class="checks-remove">{$lang.check.remove}</a>
            </div>
        </div>
    </div>


    <div style="display: none" id="notyfication-empty">
        <div class="form-group">
            <div class="input col-sm-3">
                <p class="help-block"></p></td>
                <input class="notyfication-id" type="hidden">
                <input class="notyfication-name" type="hidden">
            </div>
            <div class="input col-sm-3">
                <select class="notyfication-delay form-control">
                    <option value="0">{$lang.check.delay.immediate}</option>
                    <option value="1">1 {$lang.minute}</option>
                    <option value="2">2 {$lang.minutes}</option>
                    <option value="3">3 {$lang.minutes}</option>
                    <option value="5">5 {$lang.minutes}</option>
                    <option value="8">8 {$lang.minutes}</option>
                    <option value="10">10 {$lang.minutes}</option>
                    <option value="15">15 {$lang.minutes}</option>
                    <option value="20">20 {$lang.minutes}</option>
                    <option value="30">30 {$lang.minutes}</option>
                    <option value="45">45 {$lang.minutes}</option>
                    <option value="60">60 {$lang.minutes}</option>
                </select>
            </div>
            <div class="input col-sm-3">
                <select class="notyfication-time form-control">
                    <option value="All">{$lang.check.notifications.all}</option>
                    <option value="Weekends">{$lang.check.notifications.weekends}</option>
                    <option value="Weekdays">{$lang.check.notifications.weekdays}</option>
                    <option value="Days">{$lang.check.notifications.days}</option>
                    <option value="Nights">{$lang.check.notifications.nights}</option>
                </select>
            </div>
            <div class="input col-sm-2 help-block">
                <a href="javascript:void(0)" class="notyfication-remove">{$lang.check.remove}</a>
            </div>
        </div>
    </div>

</div> 
</div>
</div>
</div>

